Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes
HDFConstants Class Reference

## Detailed Description

This interface defines the values of constants defined by the HDF 4.2 API.

## Static Public Member Functions
static String | getType (int type)
static int | getType (String type)
static int | getTypeSize (int type)

## Static Public Attributes
static final int | FAIL = -1
static final int | DFACC_READ = 1
static final int | DFACC_WRITE = 2
static final int | DFACC_RDWR = 3
static final int | DFACC_CREATE = 4
static final int | DFACC_RDONLY = DFACC_READ
static final int | DFACC_DEFAULT = 000
static final int | DFACC_SERIAL = 001
static final int | DFACC_PARALLEL = 011
static final int | AN_DATA_LABEL = 0
static final int | AN_DATA_DESC = AN_DATA_LABEL + 1
static final int | AN_FILE_LABEL = AN_DATA_LABEL + 2
static final int | AN_FILE_DESC = AN_DATA_LABEL + 3
static final int | DFREF_WILDCARD = 0
static final int | DFTAG_WILDCARD = 0
static final int | DFREF_NONE = 0
static final int | DFTAG_NULL = 1
static final int | DFTAG_LINKED = 20
static final int | DFTAG_VERSION = 30
static final int | DFTAG_COMPRESSED = 40
static final int | DFTAG_VLINKED = 50
static final int | DFTAG_VLINKED_DATA = 51
static final int | DFTAG_CHUNKED = 60
static final int | DFTAG_CHUNK = 61
static final int | DFTAG_FID = 100
static final int | DFTAG_FD = 101
static final int | DFTAG_TID = 102
static final int | DFTAG_TD = 103
static final int | DFTAG_DIL = 104
static final int | DFTAG_DIA = 105
static final int | DFTAG_NT = 106
static final int | DFTAG_MT = 107
static final int | DFTAG_FREE = 108
static final int | DFTAG_ID8 = 200
static final int | DFTAG_IP8 = 201
static final int | DFTAG_RI8 = 202
static final int | DFTAG_CI8 = 203
static final int | DFTAG_II8 = 204
static final int | DFTAG_ID = 300
static final int | DFTAG_LUT = 301
static final int | DFTAG_RI = 302
static final int | DFTAG_CI = 303
static final int | DFTAG_NRI = 304
static final int | DFTAG_RIG = 306
static final int | DFTAG_LD = 307
static final int | DFTAG_MD = 308
static final int | DFTAG_MA = 309
static final int | DFTAG_CCN = 310
static final int | DFTAG_CFM = 311
static final int | DFTAG_AR = 312
static final int | DFTAG_DRAW = 400
static final int | DFTAG_RUN = 401
static final int | DFTAG_XYP = 500
static final int | DFTAG_MTO = 501
static final int | DFTAG_T14 = 602
static final int | DFTAG_T105 = 603
static final int | DFTAG_SDG = 700
static final int | DFTAG_SDD = 701
static final int | DFTAG_SD = 702
static final int | DFTAG_SDS = 703
static final int | DFTAG_SDL = 704
static final int | DFTAG_SDU = 705
static final int | DFTAG_SDF = 706
static final int | DFTAG_SDM = 707
static final int | DFTAG_SDC = 708
static final int | DFTAG_SDT = 709
static final int | DFTAG_SDLNK = 710
static final int | DFTAG_NDG = 720
static final int | DFTAG_CAL = 731
static final int | DFTAG_FV = 732
static final int | DFTAG_BREQ = 799
static final int | DFTAG_SDRAG = 781
static final int | DFTAG_EREQ = 780
static final int | DFTAG_VG = 1965
static final int | DFTAG_VH = 1962
static final int | DFTAG_VS = 1963
static final int | DFTAG_RLE = 11
static final int | DFTAG_IMC = 12
static final int | DFTAG_IMCOMP = 12
static final int | DFTAG_JPEG = 13
static final int | DFTAG_GREYJPEG = 14
static final int | DFTAG_JPEG5 = 15
static final int | DFTAG_GREYJPEG5 = 16
static final int | MFGR_INTERLACE_PIXEL = 0
static final int | MFGR_INTERLACE_LINE = MFGR_INTERLACE_PIXEL + 1
static final int | MFGR_INTERLACE_COMPONENT = MFGR_INTERLACE_PIXEL + 2
static final int | FULL_INTERLACE = 0
static final int | NO_INTERLACE = 1
static final int | DFNT_UCHAR8 = 3
static final int | DFNT_UCHAR = 3
static final int | DFNT_CHAR8 = 4
static final int | DFNT_CHAR = 4
static final int | DFNT_CHAR16 = 42
static final int | DFNT_UCHAR16 = 43
static final int | DFNT_FLOAT32 = 5
static final int | DFNT_FLOAT = 5
static final int | DFNT_FLOAT64 = 6
static final int | DFNT_FLOAT128 = 7
static final int | DFNT_DOUBLE = 6
static final int | DFNT_INT8 = 20
static final int | DFNT_UINT8 = 21
static final int | DFNT_INT16 = 22
static final int | DFNT_UINT16 = 23
static final int | DFNT_INT32 = 24
static final int | DFNT_UINT32 = 25
static final int | DFNT_INT64 = 26
static final int | DFNT_UINT64 = 27
static final int | DFNT_INT128 = 28
static final int | DFNT_UINT128 = 30
static final int | DFNT_HDF = 0x00000000
static final int | DFNT_NATIVE = 0x00001000
static final int | DFNT_CUSTOM = 0x00002000
static final int | DFNT_LITEND = 0x00004000
static final int | DFNT_MASK = 0x00000fff
static final int | DF_FORWARD = 1
static final int | DFS_MAXLEN = 255
static final int | COMP_NONE = 0
static final int | COMP_JPEG = 2
static final int | COMP_RLE = 11
static final int | COMP_IMCOMP = 12
static final int | COMP_CODE_NONE = 0
static final int | COMP_CODE_RLE = 1
static final int | COMP_CODE_NBIT = 2
static final int | COMP_CODE_SKPHUFF = 3
static final int | COMP_CODE_DEFLATE = 4
static final int | COMP_CODE_SZIP = 5
static final int | COMP_CODE_INVALID = 6
static final int | COMP_CODE_JPEG = 7
static final int | DFIL_PIXEL = 0
static final int | DFIL_LINE = 1
static final int | DFIL_PLANE = 2
static final int | SD_UNLIMITED = 0
static final int | SD_FILL = 0
static final int | SD_NOFILL = 0x100
static final int | SD_DIMVAL_BW_COMP = 1
static final int | SD_DIMVAL_BW_INCOMP = 0
static final int | HDF_NONE = 0x0
static final int | HDF_CHUNK = 0x1
static final int | HDF_COMP = 0x3
static final int | HDF_NBIT = 0x5
static final int | MAX_VAR_DIMS = 32
static final String | GR_NAME = "RIG0.0"
static final String | RI_NAME = "RI0.0"
static final String | RIGATTRNAME = "RIATTR0.0N"
static final String | RIGATTRCLASS = "RIATTR0.0C"
static final String | HDF_ATTRIBUTE = "Attr0.0"
static final String | HDF_VARIABLE = "Var0.0"
static final String | HDF_DIMENSION = "Dim0.0"
static final String | HDF_UDIMENSION = "UDim0.0"
static final String | DIM_VALS = "DimVal0.0"
static final String | DIM_VALS01 = "DimVal0.1"
static final String | HDF_CHK_TBL = "_HDF_CHK_TBL_"
static final String | HDF_SDSVAR = "SDSVar"
static final String | HDF_CRDVAR = "CoordVar"
static final String | HDF_CDF = "CDF0.0"
static final String | ANNOTATION = "HDF_ANNOTATION"
static final String | RI8 = "HDF_RI8"
static final String | RI24 = "HDF_RI24"
static final String | GR = "HDF_GR"
static final String | SDS = "HDF_SDS"
static final String | VDATA = "HDF_VDATA"
static final String | VGROUP = "HDF_GROUP"
static final String | UCHAR8 = "UCHAR8"
static final String | CHAR8 = "CHAR8"
static final String | UCHAR16 = "UCHAR16"
static final String | CHAR16 = "CHAR16"
static final String | FLOAT32 = "FLOAT32"
static final String | FLOAT64 = "FLOAT64"
static final String | FLOAT128 = "FLOAT128"
static final String | INT8 = "INT8"
static final String | UINT8 = "UINT8"
static final String | INT16 = "INT16"
static final String | UINT16 = "UINT16"
static final String | INT32 = "INT32"
static final String | UINT32 = "UINT32"
static final String | INT64 = "INT64"
static final String | UINT64 = "UINT64"
static final String | INT128 = "INT128"
static final String | UINT128 = "UINT128"

## Member Function Documentation

## ◆ getType() [1/2]

static String getType | ( | int | type | ) |
| static

convert number type to string type

Parameters

  type | the number representing the data type

Returns
  the string representing the data type

## ◆ getType() [2/2]

static int getType | ( | String | type | ) |
| static

convert string type to number type

Parameters

  type | the string representing the data type

Returns
  the integer representing the data type

## ◆ getTypeSize()

static int getTypeSize | ( | int | type | ) |
| static

gets the size of the data type in bytes, e.g size of DFNT_FLOAT32 = 4

Parameters

  type | the number representing the data type

Returns
  the size of the data type

## Field Documentation

## ◆ AN_DATA_DESC

final int AN_DATA_DESC = AN_DATA_LABEL + 1
| static

## ◆ AN_DATA_LABEL

final int AN_DATA_LABEL = 0
| static

## ◆ AN_FILE_DESC

final int AN_FILE_DESC = AN_DATA_LABEL + 3
| static

## ◆ AN_FILE_LABEL

final int AN_FILE_LABEL = AN_DATA_LABEL + 2
| static

## ◆ ANNOTATION

final String ANNOTATION = "HDF_ANNOTATION"
| static

## ◆ CHAR16

final String CHAR16 = "CHAR16"
| static

## ◆ CHAR8

final String CHAR8 = "CHAR8"
| static

## ◆ COMP_CODE_DEFLATE

final int COMP_CODE_DEFLATE = 4
| static

## ◆ COMP_CODE_INVALID

final int COMP_CODE_INVALID = 6
| static

## ◆ COMP_CODE_JPEG

final int COMP_CODE_JPEG = 7
| static

## ◆ COMP_CODE_NBIT

final int COMP_CODE_NBIT = 2
| static

## ◆ COMP_CODE_NONE

final int COMP_CODE_NONE = 0
| static

## ◆ COMP_CODE_RLE

final int COMP_CODE_RLE = 1
| static

## ◆ COMP_CODE_SKPHUFF

final int COMP_CODE_SKPHUFF = 3
| static

## ◆ COMP_CODE_SZIP

final int COMP_CODE_SZIP = 5
| static

## ◆ COMP_IMCOMP

final int COMP_IMCOMP = 12
| static

## ◆ COMP_JPEG

final int COMP_JPEG = 2
| static

## ◆ COMP_NONE

final int COMP_NONE = 0
| static

## ◆ COMP_RLE

final int COMP_RLE = 11
| static

## ◆ DF_FORWARD

final int DF_FORWARD = 1
| static

## ◆ DFACC_CREATE

final int DFACC_CREATE = 4
| static

## ◆ DFACC_DEFAULT

final int DFACC_DEFAULT = 000
| static

## ◆ DFACC_PARALLEL

final int DFACC_PARALLEL = 011
| static

## ◆ DFACC_RDONLY

final int DFACC_RDONLY = DFACC_READ
| static

## ◆ DFACC_RDWR

final int DFACC_RDWR = 3
| static

## ◆ DFACC_READ

final int DFACC_READ = 1
| static

## ◆ DFACC_SERIAL

final int DFACC_SERIAL = 001
| static

## ◆ DFACC_WRITE

final int DFACC_WRITE = 2
| static

## ◆ DFIL_LINE

final int DFIL_LINE = 1
| static

Scan Line Interlacing

## ◆ DFIL_PIXEL

final int DFIL_PIXEL = 0
| static

Pixel Interlacing

## ◆ DFIL_PLANE

final int DFIL_PLANE = 2
| static

Scan Plane Interlacing

## ◆ DFNT_CHAR

final int DFNT_CHAR = 4
| static

## ◆ DFNT_CHAR16

final int DFNT_CHAR16 = 42
| static

Not supported by HDF

## ◆ DFNT_CHAR8

final int DFNT_CHAR8 = 4
| static

char

## ◆ DFNT_CUSTOM

final int DFNT_CUSTOM = 0x00002000
| static

## ◆ DFNT_DOUBLE

final int DFNT_DOUBLE = 6
| static

## ◆ DFNT_FLOAT

final int DFNT_FLOAT = 5
| static

## ◆ DFNT_FLOAT128

final int DFNT_FLOAT128 = 7
| static

## ◆ DFNT_FLOAT32

final int DFNT_FLOAT32 = 5
| static

float

## ◆ DFNT_FLOAT64

final int DFNT_FLOAT64 = 6
| static

double

## ◆ DFNT_HDF

final int DFNT_HDF = 0x00000000
| static

## ◆ DFNT_INT128

final int DFNT_INT128 = 28
| static

## ◆ DFNT_INT16

final int DFNT_INT16 = 22
| static

short

## ◆ DFNT_INT32

final int DFNT_INT32 = 24
| static

integer

## ◆ DFNT_INT64

final int DFNT_INT64 = 26
| static

Not supported

## ◆ DFNT_INT8

final int DFNT_INT8 = 20
| static

8-bit integer

## ◆ DFNT_LITEND

final int DFNT_LITEND = 0x00004000
| static

## ◆ DFNT_MASK

final int DFNT_MASK = 0x00000fff
| static

## ◆ DFNT_NATIVE

final int DFNT_NATIVE = 0x00001000
| static

## ◆ DFNT_UCHAR

final int DFNT_UCHAR = 3
| static

## ◆ DFNT_UCHAR16

final int DFNT_UCHAR16 = 43
| static

## ◆ DFNT_UCHAR8

final int DFNT_UCHAR8 = 3
| static

unsigned char

## ◆ DFNT_UINT128

final int DFNT_UINT128 = 30
| static

## ◆ DFNT_UINT16

final int DFNT_UINT16 = 23
| static

unsigned integer

## ◆ DFNT_UINT32

final int DFNT_UINT32 = 25
| static

unsigned integer

## ◆ DFNT_UINT64

final int DFNT_UINT64 = 27
| static

## ◆ DFNT_UINT8

final int DFNT_UINT8 = 21
| static

unsigned 8-bit integer

## ◆ DFREF_NONE

final int DFREF_NONE = 0
| static

used by mfhdf/libsrc/putget.c

## ◆ DFREF_WILDCARD

final int DFREF_WILDCARD = 0
| static

## ◆ DFS_MAXLEN

final int DFS_MAXLEN = 255
| static

## ◆ DFTAG_AR

final int DFTAG_AR = 312
| static

aspect ratio

## ◆ DFTAG_BREQ

final int DFTAG_BREQ = 799
| static

Beginning of required tags

## ◆ DFTAG_CAL

final int DFTAG_CAL = 731
| static

Calibration information

## ◆ DFTAG_CCN

final int DFTAG_CCN = 310
| static

color correction

## ◆ DFTAG_CFM

final int DFTAG_CFM = 311
| static

color format

## ◆ DFTAG_CHUNK

final int DFTAG_CHUNK = 61
| static

chunk element

## ◆ DFTAG_CHUNKED

final int DFTAG_CHUNKED = 60
| static

chunked special element header

## ◆ DFTAG_CI

final int DFTAG_CI = 303
| static

Compressed Image

## ◆ DFTAG_CI8

final int DFTAG_CI8 = 203
| static

RLE compressed 8-bit image

## ◆ DFTAG_COMPRESSED

final int DFTAG_COMPRESSED = 40
| static

compressed special element

## ◆ DFTAG_DIA

final int DFTAG_DIA = 105
| static

data identifier annotation

## ◆ DFTAG_DIL

final int DFTAG_DIL = 104
| static

data identifier label

## ◆ DFTAG_DRAW

final int DFTAG_DRAW = 400
| static

Draw these images in sequence

## ◆ DFTAG_EREQ

final int DFTAG_EREQ = 780
| static

Current end of the range

## ◆ DFTAG_FD

final int DFTAG_FD = 101
| static

File description

## ◆ DFTAG_FID

final int DFTAG_FID = 100
| static

File identifier

## ◆ DFTAG_FREE

final int DFTAG_FREE = 108
| static

free space in the file

## ◆ DFTAG_FV

final int DFTAG_FV = 732
| static

Fill Value information

## ◆ DFTAG_GREYJPEG

final int DFTAG_GREYJPEG = 14
| static

JPEG compression (8-bit data)

## ◆ DFTAG_GREYJPEG5

final int DFTAG_GREYJPEG5 = 16
| static

JPEG compression (8-bit data)

## ◆ DFTAG_ID

final int DFTAG_ID = 300
| static

Image DimRec

## ◆ DFTAG_ID8

final int DFTAG_ID8 = 200
| static

8-bit Image dimension

## ◆ DFTAG_II8

final int DFTAG_II8 = 204
| static

IMCOMP compressed 8-bit image

## ◆ DFTAG_IMC

final int DFTAG_IMC = 12
| static

IMCOMP compression alias

## ◆ DFTAG_IMCOMP

final int DFTAG_IMCOMP = 12
| static

IMCOMP compression

## ◆ DFTAG_IP8

final int DFTAG_IP8 = 201
| static

8-bit Image palette

## ◆ DFTAG_JPEG

final int DFTAG_JPEG = 13
| static

JPEG compression (24-bit data)

## ◆ DFTAG_JPEG5

final int DFTAG_JPEG5 = 15
| static

JPEG compression (24-bit data)

## ◆ DFTAG_LD

final int DFTAG_LD = 307
| static

Palette DimRec

## ◆ DFTAG_LINKED

final int DFTAG_LINKED = 20
| static

linked-block special element

## ◆ DFTAG_LUT

final int DFTAG_LUT = 301
| static

Image Palette

## ◆ DFTAG_MA

final int DFTAG_MA = 309
| static

Matte Data

## ◆ DFTAG_MD

final int DFTAG_MD = 308
| static

Matte DimRec

## ◆ DFTAG_MT

final int DFTAG_MT = 107
| static

machine type

## ◆ DFTAG_MTO

final int DFTAG_MTO = 501
| static

machine-type override

## ◆ DFTAG_NDG

final int DFTAG_NDG = 720
| static

Numeric Data Group

## ◆ DFTAG_NRI

final int DFTAG_NRI = 304
| static

New-format Raster Image

## ◆ DFTAG_NT

final int DFTAG_NT = 106
| static

number type

## ◆ DFTAG_NULL

final int DFTAG_NULL = 1
| static

## ◆ DFTAG_RI

final int DFTAG_RI = 302
| static

Raster Image

## ◆ DFTAG_RI8

final int DFTAG_RI8 = 202
| static

Raster-8 image

## ◆ DFTAG_RIG

final int DFTAG_RIG = 306
| static

Raster Image Group

## ◆ DFTAG_RLE

final int DFTAG_RLE = 11
| static

run length encoding

## ◆ DFTAG_RUN

final int DFTAG_RUN = 401
| static

run this as a program/script

## ◆ DFTAG_SD

final int DFTAG_SD = 702
| static

Scientific Data

## ◆ DFTAG_SDC

final int DFTAG_SDC = 708
| static

Coord sys

## ◆ DFTAG_SDD

final int DFTAG_SDD = 701
| static

Scientific Data DimRec

## ◆ DFTAG_SDF

final int DFTAG_SDF = 706
| static

Formats

## ◆ DFTAG_SDG

final int DFTAG_SDG = 700
| static

Scientific Data Group

## ◆ DFTAG_SDL

final int DFTAG_SDL = 704
| static

Labels

## ◆ DFTAG_SDLNK

final int DFTAG_SDLNK = 710
| static

Links related to the dataset

## ◆ DFTAG_SDM

final int DFTAG_SDM = 707
| static

Max/Min

## ◆ DFTAG_SDRAG

final int DFTAG_SDRAG = 781
| static

List of ragged array line lengths

## ◆ DFTAG_SDS

final int DFTAG_SDS = 703
| static

Scales

## ◆ DFTAG_SDT

final int DFTAG_SDT = 709
| static

Transpose

## ◆ DFTAG_SDU

final int DFTAG_SDU = 705
| static

Units

## ◆ DFTAG_T105

final int DFTAG_T105 = 603
| static

TEK 4105 data

## ◆ DFTAG_T14

final int DFTAG_T14 = 602
| static

TEK 4014 data

## ◆ DFTAG_TD

final int DFTAG_TD = 103
| static

Tag descriptor

## ◆ DFTAG_TID

final int DFTAG_TID = 102
| static

Tag identifier

## ◆ DFTAG_VERSION

final int DFTAG_VERSION = 30
| static

## ◆ DFTAG_VG

final int DFTAG_VG = 1965
| static

Vgroup

## ◆ DFTAG_VH

final int DFTAG_VH = 1962
| static

Vdata Header

## ◆ DFTAG_VLINKED

final int DFTAG_VLINKED = 50
| static

variable-len linked-block header

## ◆ DFTAG_VLINKED_DATA

final int DFTAG_VLINKED_DATA = 51
| static

variable-len linked-block data

## ◆ DFTAG_VS

final int DFTAG_VS = 1963
| static

Vdata Storage

## ◆ DFTAG_WILDCARD

final int DFTAG_WILDCARD = 0
| static

## ◆ DFTAG_XYP

final int DFTAG_XYP = 500
| static

x-y position

## ◆ DIM_VALS

final String DIM_VALS = "DimVal0.0"
| static

## ◆ DIM_VALS01

final String DIM_VALS01 = "DimVal0.1"
| static

## ◆ FAIL

final int FAIL = -1
| static

FAIL

## ◆ FLOAT128

final String FLOAT128 = "FLOAT128"
| static

## ◆ FLOAT32

final String FLOAT32 = "FLOAT32"
| static

## ◆ FLOAT64

final String FLOAT64 = "FLOAT64"
| static

## ◆ FULL_INTERLACE

final int FULL_INTERLACE = 0
| static

interlacing supported by the vset.

## ◆ GR

final String GR = "HDF_GR"
| static

## ◆ GR_NAME

final String GR_NAME = "RIG0.0"
| static

## ◆ HDF_ATTRIBUTE

final String HDF_ATTRIBUTE = "Attr0.0"
| static

## ◆ HDF_CDF

final String HDF_CDF = "CDF0.0"
| static

## ◆ HDF_CHK_TBL

final String HDF_CHK_TBL = "_HDF_CHK_TBL_"
| static

## ◆ HDF_CHUNK

final int HDF_CHUNK = 0x1
| static

## ◆ HDF_COMP

final int HDF_COMP = 0x3
| static

## ◆ HDF_CRDVAR

final String HDF_CRDVAR = "CoordVar"
| static

## ◆ HDF_DIMENSION

final String HDF_DIMENSION = "Dim0.0"
| static

## ◆ HDF_NBIT

final int HDF_NBIT = 0x5
| static

## ◆ HDF_NONE

final int HDF_NONE = 0x0
| static

## ◆ HDF_SDSVAR

final String HDF_SDSVAR = "SDSVar"
| static

## ◆ HDF_UDIMENSION

final String HDF_UDIMENSION = "UDim0.0"
| static

## ◆ HDF_VARIABLE

final String HDF_VARIABLE = "Var0.0"
| static

## ◆ INT128

final String INT128 = "INT128"
| static

## ◆ INT16

final String INT16 = "INT16"
| static

## ◆ INT32

final String INT32 = "INT32"
| static

## ◆ INT64

final String INT64 = "INT64"
| static

## ◆ INT8

final String INT8 = "INT8"
| static

## ◆ MAX_VAR_DIMS

final int MAX_VAR_DIMS = 32
| static

## ◆ MFGR_INTERLACE_COMPONENT

final int MFGR_INTERLACE_COMPONENT = MFGR_INTERLACE_PIXEL + 2
| static

component interlacing scheme

## ◆ MFGR_INTERLACE_LINE

final int MFGR_INTERLACE_LINE = MFGR_INTERLACE_PIXEL + 1
| static

line interlacing scheme

## ◆ MFGR_INTERLACE_PIXEL

final int MFGR_INTERLACE_PIXEL = 0
| static

pixel interlacing scheme

## ◆ NO_INTERLACE

final int NO_INTERLACE = 1
| static

## ◆ RI24

final String RI24 = "HDF_RI24"
| static

## ◆ RI8

final String RI8 = "HDF_RI8"
| static

## ◆ RI_NAME

final String RI_NAME = "RI0.0"
| static

## ◆ RIGATTRCLASS

final String RIGATTRCLASS = "RIATTR0.0C"
| static

## ◆ RIGATTRNAME

final String RIGATTRNAME = "RIATTR0.0N"
| static

## ◆ SD_DIMVAL_BW_COMP

final int SD_DIMVAL_BW_COMP = 1
| static

## ◆ SD_DIMVAL_BW_INCOMP

final int SD_DIMVAL_BW_INCOMP = 0
| static

## ◆ SD_FILL

final int SD_FILL = 0
| static

## ◆ SD_NOFILL

final int SD_NOFILL = 0x100
| static

## ◆ SD_UNLIMITED

final int SD_UNLIMITED = 0
| static

## ◆ SDS

final String SDS = "HDF_SDS"
| static

## ◆ UCHAR16

final String UCHAR16 = "UCHAR16"
| static

## ◆ UCHAR8

final String UCHAR8 = "UCHAR8"
| static

## ◆ UINT128

final String UINT128 = "UINT128"
| static

## ◆ UINT16

final String UINT16 = "UINT16"
| static

## ◆ UINT32

final String UINT32 = "UINT32"
| static

## ◆ UINT64

final String UINT64 = "UINT64"
| static

## ◆ UINT8

final String UINT8 = "UINT8"
| static

## ◆ VDATA

final String VDATA = "HDF_VDATA"
| static

## ◆ VGROUP

final String VGROUP = "HDF_GROUP"
| static

The documentation for this class was generated from the following file:

- java/src/hdf/hdflib/HDFConstants.java